# Задача 1. Гласные буквы
# Команде лингвистов понравилось качество ваших программ, и они решили заказать у вас функцию для анализатора текста,
# которая создавала бы список гласных букв текста, а заодно считала бы их количество.
# Напишите программу, которая запрашивает у пользователя текст и генерирует список из гласных букв этого текста
# (сама строка вводится на русском языке). Выведите в консоль сам список и его длину.
# Пример:
# Введите текст: Нужно отнести кольцо в Мордор!
# Список гласных букв: ['у', 'о', 'о', 'е', 'и', 'о', 'о', 'о', 'о']
# Длина списка: 9

def vowel_search(any_text):
    vowel_letter = 'аоуиыеэяюё'
    return [i_let for i_let in any_text if i_let in vowel_letter]


any_text = list(input('Введите текст: '))

print('\nСписок гласных букв: ', vowel_search(any_text), '\nДлина списка: ', len(vowel_search(any_text)))
